ignite-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Andrey Kornev <andrewkor...@hotmail.com>
Subject RE: OSGi migration may require a special marshaller
Date Thu, 05 Nov 2015 23:44:55 GMT
Hello,

We've made an attempt to formalize the approach to Ignite's OSGi enablement: https://cwiki.apache.org/confluence/display/IGNITE/OSGI+Compatibility.
Please have a look and feel free to provide your positive feedback :)))

Thanks
Andrey

> From: dsetrakyan@apache.org
> Date: Wed, 4 Nov 2015 09:26:17 -0800
> Subject: Re: OSGi migration may require a special marshaller
> To: dev@ignite.apache.org
> 
> On Wed, Nov 4, 2015 at 9:07 AM, Romain Gilles <romain.gilles@gmail.com>
> wrote:
> 
> > Hi Dmitriy,
> > I found this post that explain how to find a bundle based on its bundle
> > name and version.
> > This post explain for the past to now how to do it in the standard way with
> > "pull" approach: https://www.eclipse.org/forums/index.php/t/205719/
> > Regarding the version of OSGi you want to support then some solutions will
> > works some others will not.
> > There is an other way to do this stuff without using those "pull" style
> > approach based on BundleTracker. If you want I can give you the code to do
> > it with BundlTracker. I think with this solution you will support a wider
> > range of OSGi version.
> >
> 
> Romain, if you can provide a generic code sample to look up a ClassLoader
> in OSGI based on manifest properties, would be great.
> 
> 
 		 	   		  
Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message